Subject: [Speechsc] Name for the Speechsc protocol

From: "David R. Oran" <[email-masked]>
Date: Tue, 29 Jul 2003 11:15:29 -0400

Now that we have a candidate protocol document for SPEECHSC, we get the fun 
task of cooking up a name. In the absence of better suggestions, the 
default would in fact be "SPEECHSC".

I would like to suggest an alternative for the consideration of the working 
group. This is based on a conversation I had with one of our ADs (Allison) 
during a break at the IETF meeting.

There are some advantages to calling the protocol "MRCP Version 2". One is 
that there is some market visibility for MRCP and it's easier to re-use the 
name than socialize a new name. The second is that while the IESG is 
willing to publish MRCP (version 1) as an informational RFC, we definitely 
don't want a dual-track in the market as we've seen with MGCP and MEGACO, 
and instead clearly position the new protocol as superseding and 
obsolescing MRCP version 1. The easiest way to do this is to simply call it 
version 2.

One counter-argument to this logic is that that the protocol we are working 
on is not backwards compatible with the existing deployed MRCP. Such 
backward compatibility is often expected of a protocol with the same name 
and a higher version number. This is not cast on stone tablets however.

Opinions and alternatives welcome. Please post to the list. I would like to 
see if we can get consensus on a name in time for the authors to post the 
first WG-item draft of the protocol, so we only have one name change.

Thanks, Dave.

------------------------
David R. Oran
Cisco Systems
7 Ladyslipper Lane
Acton, MA 01720
Office: +1 978 264 2048
VoIP: +1 408 571 4576
Email: [email-masked]

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: Sarvi Shanmugham <[email-masked]>
Date: Tue, 29 Jul 2003 08:27:47 -0700

David R. Oran wrote:

> Now that we have a candidate protocol document for SPEECHSC, we get 
> the fun task of cooking up a name. In the absence of better 
> suggestions, the default would in fact be "SPEECHSC".
>
> I would like to suggest an alternative for the consideration of the 
> working group. This is based on a conversation I had with one of our 
> ADs (Allison) during a break at the IETF meeting.
>
> There are some advantages to calling the protocol "MRCP Version 2". 
> One is that there is some market visibility for MRCP and it's easier 
> to re-use the name than socialize a new name. The second is that while 
> the IESG is willing to publish MRCP (version 1) as an informational 
> RFC, we definitely don't want a dual-track in the market as we've seen 
> with MGCP and MEGACO, and instead clearly position the new protocol as 
> superseding and obsolescing MRCP version 1. The easiest way to do this 
> is to simply call it version 2. 

Sounds reasonable. I vote yes.

Sarvi

>
>
> One counter-argument to this logic is that that the protocol we are 
> working on is not backwards compatible with the existing deployed 
> MRCP. Such backward compatibility is often expected of a protocol with 
> the same name and a higher version number. This is not cast on stone 
> tablets however.
>
> Opinions and alternatives welcome. Please post to the list. I would 
> like to see if we can get consensus on a name in time for the authors 
> to post the first WG-item draft of the protocol, so we only have one 
> name change.
>
> Thanks, Dave.
>
> ------------------------
> David R. Oran
> Cisco Systems
> 7 Ladyslipper Lane
> Acton, MA 01720
> Office: +1 978 264 2048
> VoIP: +1 408 571 4576
> Email: [email-masked]
>

---

From: "Jeff Haynie" <[email-masked]>
Date: Tue, 29 Jul 2003 11:37:46 -0400

I like the idea of having MRCP v2 for mainly the market reasons.  These
days, there are so many different protocols and specs that it ends up
confusing end customers with "yet another name".  Although there are not a
lot of MRCP deployments, the name is very familiar with most
customers/partners I talk with. However, when I mentioned SpeechSC, people
have know clue about the work in progress.

Jeff

----- Original Message ----- 
From: "David R. Oran" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, July 29, 2003 11:15 AM
Subject: [Speechsc] Name for the Speechsc protocol

> I would like to suggest an alternative for the consideration of the
working
> One counter-argument to this logic is that that the protocol we are
working

---

From: "Qiru Zhou" <[email-masked]>
Date: Wed, 30 Jul 2003 13:35:54 -0400

I vote for MRCPv2. It is good that we are not creating dual tracks
that doing similar things.

MRCP  provides a broader scope on media resource control. I believe
it has good industrial attention at this point.

What I'd like to see is an elegant, concise protocol that apply to general
media resource control, including speech. It should be easy to make
an implementation compliant to make different implementations
interoperable. In the past, we saw too many problems that different
implementations of the same API that are not interoperable. Which
defeats the purpose of an open protocol or API.

-- Qiru

----- Original Message ----- 
From: "David R. Oran" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, July 29, 2003 11:15 AM
Subject: [Speechsc] Name for the Speechsc protocol

working
working